<?php
function php_quote($val) {
	$res_val = str_replace("\\", "\\\\", $val);
	$res_val = str_replace("'", "\\'", $res_val);
	return $res_val;
}

function modify_file($file_source, $file_dest, $modify_hash) {
	$file_content = file_get_contents($file_source);
	foreach ($modify_hash as $param => $val) {
		$file_content = str_replace($param, php_quote($val), $file_content);
	}
	file_put_contents($file_dest, $file_content);
}

function modify_content($file_source, $modify_hash, $connect) {
	$file_content = file_get_contents($file_source);
	foreach ($modify_hash as $param => $val) {
		$file_content = str_replace($param, mysqli_real_escape_string($connect, $val), $file_content);
	}
	return $file_content;
}

function set_write_permissions($file) {
	if (file_exists($file)) {
		if(is_linux()) {
			chmod($file, 0777);
		} else {
			chmod($file, 666);
		}
	}
}

function del_tree($path) {
	if (!file_exists($path)) return true; 

	$dir = opendir($path);
	while (false !== $file = readdir($dir)) {
		if ($file != '.' && $file != '..') {
			if (!is_writable($path . '/' . $file)) {
				set_write_permissions($path . '/' . $file);
			}

			if (is_dir($path . '/' . $file)) {
				del_tree($path . '/' . $file);
			} else {
				unlink($path . '/' . $file);
			}
		}
	}
	closedir($dir);
	if (!is_writable($path)) {
		set_write_permissions($path);
	}
	rmdir($path);
}